Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.imaging
Class ArtifactDetector

    java.lang.Object
      net.sf.j3d.imaging.ArtifactDetector

    public class ArtifactDetector

extends Object

Field Summary
`static boolean` | `verbose`

Constructor Summary
`ArtifactDetector(RGB[][] rgb, int w, int h)`

Method Summary
`double` | `artifact(int x, int y, double m, double t, double s, int it, int max)`
`RGB[][]` | `getHueMap()`
`RGB[][]` | `getImage()`
`RGB[][]` | `getSaturationMap()`
`static void` | `main(String[] args)`
`boolean[][]` | `scan(double m, double t, double np, double s, int max, int et, int boundBox)`
`void` | `setImage(RGB[][] img)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    public static boolean verbose

Constructor Detail

### ArtifactDetector

    public ArtifactDetector(RGB[][] rgb,
                            int w,
                            int h)

Method Detail

### main

    public static void main(String[] args)
                     throws MalformedURLException

  Throws:
    `MalformedURLException`

### scan

    public boolean[][] scan(double m,
                            double t,
                            double np,
                            double s,
                            int max,
                            int et,
                            int boundBox)

### artifact

    public double artifact(int x,
                           int y,
                           double m,
                           double t,
                           double s,
                           int it,
                           int max)

### setImage

    public void setImage(RGB[][] img)

### getImage

    public RGB[][] getImage()

### getHueMap

    public RGB[][] getHueMap()

### getSaturationMap

    public RGB[][] getSaturationMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD